### Name: sqli2sp
### Title: Read SQLite geometry table into spatial
### Aliases: sqli2sp
### Keywords: spatial

### ** Examples

sqli.db <- system.file("sqlimaps/sids.db3", package="SQLiteMap")
drv <- dbDriver("SQLite")
con <- dbConnect(drv, dbname = sqli.db)

sql <- 'select sidsmap.gid, sidsmap.geom, sidsattr.* 
  from sidsmap Inner Join sidsattr On sidsattr.sp_id = sidsmap.sp_id 
  order by sidsattr.name'
rs <- dbSendQuery(con, sql)
join.data <- fetch(rs, n = -1)

sids.sp <- sqli2sp(geoms=join.data, gcol='geom', idcol='name')
sids.attr <- data.frame(R74 = join.data$sid74/join.data$bir74, 
  R79 = join.data$sid79/join.data$bir79)
rownames(sids.attr) <- join.data$name
sids.df <- SpatialPolygonsDataFrame(sids.sp, sids.attr)

library(RColorBrewer)
spplot(sids.df, 
  col.regions = colorRampPalette(brewer.pal(9,"OrRd")[1:9])(140))



